// {"id":425049,"status":true,"name":"Machine Shop","description":"","tags":[],"keywords":[],"extensors":{},"locations":[{"mapId":7216,"waypointIds":[43102987]}],"uris":{"items":[]},"displayMode":1,"_mappedPoints":{"7216":true}}
export type JIBESTREAM_DESTINATION = {
  id: number;
  status: boolean;
  name: string;
  description: string;
  tags: string[];
  keywords: string[];
  extensors: Object;
  locations: JIBESTREAM_LOCATION[];
  uris: Object;
  displayMode: number;
  waypoints: JIBESTREAM_WAYPOINT[];
};

export type JIBESTREAM_WAYPOINT = {
  _: {
    id: number;
    status: boolean;
    mapId: number;
    coordinates: number[];
    associations: {
      destinations: number[];
    };
    xyz: {
      x: number;
      y: number;
      z: number;
    };
  };
};

export type JIBESTREAM_PATH = {
  _: {
    seq: number;
    mapId: number;
    mover: {
      moverId: number;
      speed: number;
      accessiblity: number;
      typeName: string;
      svg: null;
    };
    points: {
      _: {
        id: number;
        status: boolean;
        mapId: number;
        coordinates: number[];
        associations?: {
          destinations: number[];
        };
        xyz: {
          x: number;
          y: number;
          z: number;
        };
      };
    }[];
    cost: number;
    pixelDistance: number;
    mmDistance: number;
  };
};

export type JIBESTREAM_LOCATION = {
  mapId: number;
  waypointIds: number[];
};

export type JIBESTREAM_STYLE = {
  fill?: string;
  stroke?: string;
  strokeWidth?: number;
  strokeOpacity?: number;
  opacity?: number;
};

export type INSTRUCTION = {
  text: string;
  wp?: number;
  dest?: number;
  startPoint?: number[];
  endPoint?: number[];
};
